Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003629Zandronum[All Projects] Epicpublic2019-04-11 21:372019-06-08 14:22
ReporterFilystea 
Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionno change required 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0003629: We need to break free from zdoom.
Description I do not ask for immediate changes. I ask for statement.
Yes we will one day drop zdoom and be just zandronum.
No we want to be bound to zdoom and be nothing more than zdoom multiplayer
Steps To Reproduceeasy steps
Additional InformationFuck zscript keep decorate.
Attached Files

- Relationships

-  Notes
User avatar (0020487)
WubTheCaptain (reporter)
2019-04-11 23:22

There's a statement on the forum, and I think a duplicate issue on this tracker which I'm unable to find at this moment.
User avatar (0020488)
WubTheCaptain (reporter)
2019-04-11 23:23

https://zandronum.com/forum/viewtopic.php?t=8242 [^]
User avatar (0020489)
Filystea (reporter)
2019-04-13 08:05

I want Torr Samaho to answer this.
You want to be always enshadowed by zdoom or want to be simply zandronum.
User avatar (0020671)
Dusk (developer)
2019-05-19 19:19

We won't be breaking off ZDoom.
User avatar (0020676)
Filystea (reporter)
2019-05-19 19:42

Tor Samaho will be answering this/
User avatar (0020719)
Dusk (developer)
2019-06-04 19:04

We specifically, as a team, decided a while ago that we will not be breaking off GZDoom. On the contrary, we need to collaborate more with them.

Why?

It should be no secret that the development team has been stretched very thin during recent times. Our bug tracker has been growing increasingly inactive. As a dev myself, part of that is on me, of course, but the amount of hours we can put to Zandronum has significantly decreased. Every major release we fork off some GZDoom version and clearly we don't have the capacity to manage that anymore. Working together with GZDoom is the only way we can ensure that Zandronum will survive for a 4.0 release.

Just a year ago I personally would have agreed with you, and I understand your frustration you have been expressing. Graf is a difficult person to work with and I too have butted heads with him. He has rejected my patches on what appeared to be just a whim. Having someone like him in the upstream is surely a challenge for us. But it is obvious at this point that if we were to branch off for good, Zandronum would quickly die off. That's no way to go.

It's undeniable that today GZDoom is the bleeding edge of classic Doom technology. For years our ideal has been to provide the ultimate newschool multiplayer Doom experience through GZDoom's codebase. Surely we didn't come this far just to give up on that. It's not an easy task for anyone. But we are still motivated by what the end result could be.

I understand that you perceive GZDoom as a shadow on Zandronum, and you are not wrong. But we decided that it is worth it.
User avatar (0020725)
Filystea (reporter)
2019-06-05 16:40
edited on: 2019-06-05 16:42

This is proper answer even if not what I expected. You can lock this up.

User avatar (0020729)
Dusk (developer)
2019-06-05 18:24

Thanks for understanding.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2019-04-11 21:37 Filystea New Issue
2019-04-11 23:22 WubTheCaptain Note Added: 0020487
2019-04-11 23:23 WubTheCaptain Note Added: 0020488
2019-04-13 08:05 Filystea Note Added: 0020489
2019-05-19 19:19 Dusk Note Added: 0020671
2019-05-19 19:19 Dusk Status new => closed
2019-05-19 19:19 Dusk Resolution open => no change required
2019-05-19 19:42 Filystea Note Added: 0020676
2019-05-19 19:42 Filystea Status closed => feedback
2019-05-19 19:42 Filystea Resolution no change required => reopened
2019-06-04 19:04 Dusk Note Added: 0020719
2019-06-05 16:40 Filystea Note Added: 0020725
2019-06-05 16:40 Filystea Status feedback => new
2019-06-05 16:42 Filystea Note Edited: 0020725 View Revisions
2019-06-05 18:24 Dusk Note Added: 0020729
2019-06-05 18:24 Dusk Status new => closed
2019-06-05 18:24 Dusk Resolution reopened => fixed
2019-06-05 18:24 Dusk Resolution fixed => no change required






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker